Bug 297558 - Another crash when finding faces
Summary: Another crash when finding faces
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Faces-Engine (show other bugs)
Version: 3.0.0
Platform: Compiled Sources Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-04-05 21:02 UTC by Jaime Torres
Modified: 2014-06-25 16:53 UTC (History)
10 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.1.0


Attachments
New crash information added by DrKonqi (14.75 KB, text/plain)
2012-06-22 15:20 UTC, Jonah Dahlquist
Details
Digikam crash report (35.73 KB, application/octet-stream)
2013-07-07 14:57 UTC, Ricardo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jaime Torres 2012-04-05 21:02:55 UTC
Application: digikam (2.6.0-rc)
KDE Platform Version: 4.8.1 (4.8.1) (Compiled from sources)
Qt Version: 4.8.0
Operating System: Linux 3.2.0-2-desktop x86_64
Distribution: "openSUSE 12.2 Milestone 2 (x86_64)"

-- Information about the crash:
- What I was doing when the application crashed:

Scanning new photos, and deleting the false positives meanwhile.

Probably very related to bug 62596.

-- Backtrace:
Application: digiKam (digikam), signal: Segmentation fault
[Current thread is 1 (Thread 0x7f6e17e168c0 (LWP 5570))]

Thread 32 (Thread 0x7f6e137f8700 (LWP 5743)):
#0  0x00007f6e2f568a14 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f6e2f814d7b in wait (time=18446744073709551615, this=0x11a24c0) at /g/kdegit/qt/src/corelib/thread/qwaitcondition_unix.cpp:86
#2  wait (time=18446744073709551615, mutex=0x13a5128, this=<optimized out>) at /g/kdegit/qt/src/corelib/thread/qwaitcondition_unix.cpp:158
#3  QWaitCondition::wait (this=<optimized out>, mutex=0x13a5128, time=18446744073709551615) at /g/kdegit/qt/src/corelib/thread/qwaitcondition_unix.cpp:145
#4  0x00000000005bc674 in Digikam::ScanController::run (this=0x13b7b20) at /g/kdegit/extragear/graphics/digikam/digikam/database/scancontroller.cpp:647
#5  0x00007f6e2f8147ed in QThreadPrivate::start (arg=0x13b7b20) at /g/kdegit/qt/src/corelib/thread/qthread_unix.cpp:298
#6  0x00007f6e2f564daa in start_thread () from /lib64/libpthread.so.0
#7  0x00007f6e2e8020ed in clone () from /lib64/libc.so.6

Thread 31 (Thread 0x7f6e12ff7700 (LWP 5744)):
#0  0x00007f6e2e7fa1d3 in poll () from /lib64/libc.so.6
#1  0x00007f6e27bf7e66 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f6e27bf7f94 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f6e2f94dfae in QEventDispatcherGlib::processEvents (this=0x1c0e040, flags=<optimized out>) at /g/kdegit/qt/src/corelib/kernel/qeventdispatcher_glib.cpp:426
#4  0x00007f6e2f91abb2 in QEventLoop::processEvents (this=<optimized out>, flags=...) at /g/kdegit/qt/src/corelib/kernel/qeventloop.cpp:149
#5  0x00007f6e2f91ae1f in QEventLoop::exec (this=0x7f6e12ff6c80, flags=...) at /g/kdegit/qt/src/corelib/kernel/qeventloop.cpp:204
#6  0x00007f6e2f811930 in QThread::exec (this=<optimized out>) at /g/kdegit/qt/src/corelib/thread/qthread.cpp:501
#7  0x00007f6e2f8f8ef3 in QInotifyFileSystemWatcherEngine::run (this=0x12fe910) at /g/kdegit/qt/src/corelib/io/qfilesystemwatcher_inotify.cpp:248
#8  0x00007f6e2f8147ed in QThreadPrivate::start (arg=0x12fe910) at /g/kdegit/qt/src/corelib/thread/qthread_unix.cpp:298
#9  0x00007f6e2f564daa in start_thread () from /lib64/libpthread.so.0
#10 0x00007f6e2e8020ed in clone () from /lib64/libc.so.6

Thread 30 (Thread 0x7f6e127f6700 (LWP 6162)):
#0  0x00007f6e2f568a14 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f6e2f814d7b in wait (time=18446744073709551615, this=0x1951b00) at /g/kdegit/qt/src/corelib/thread/qwaitcondition_unix.cpp:86
#2  wait (time=18446744073709551615, mutex=0x16e0988, this=<optimized out>) at /g/kdegit/qt/src/corelib/thread/qwaitcondition_unix.cpp:158
#3  QWaitCondition::wait (this=<optimized out>, mutex=0x16e0988, time=18446744073709551615) at /g/kdegit/qt/src/corelib/thread/qwaitcondition_unix.cpp:145
#4  0x00007f6e347dd149 in Digikam::ParkingThread::run (this=0x16e0970) at /g/kdegit/extragear/graphics/digikam/libs/threads/threadmanager.cpp:119
#5  0x00007f6e2f8147ed in QThreadPrivate::start (arg=0x16e0970) at /g/kdegit/qt/src/corelib/thread/qthread_unix.cpp:298
#6  0x00007f6e2f564daa in start_thread () from /lib64/libpthread.so.0
#7  0x00007f6e2e8020ed in clone () from /lib64/libc.so.6

Thread 29 (Thread 0x7f6ddb0a1700 (LWP 6284)):
#0  0x00007f6e2f568a14 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f6e0fc7f314 in ?? () from /usr/lib64/libvlccore.so.4
#2  0x00007f6e2f564daa in start_thread () from /lib64/libpthread.so.0
#3  0x00007f6e2e8020ed in clone () from /lib64/libc.so.6

Thread 28 (Thread 0x7f6dcf14c700 (LWP 6516)):
#0  0x00007f6e2e7fa1d3 in poll () from /lib64/libc.so.6
#1  0x00007f6e27bf7e66 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f6e27bf7f94 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f6e2f94dfae in QEventDispatcherGlib::processEvents (this=0xfc0e040, flags=<optimized out>) at /g/kdegit/qt/src/corelib/kernel/qeventdispatcher_glib.cpp:426
#4  0x00007f6e2f91abb2 in QEventLoop::processEvents (this=<optimized out>, flags=...) at /g/kdegit/qt/src/corelib/kernel/qeventloop.cpp:149
#5  0x00007f6e2f91ae1f in QEventLoop::exec (this=0x7f6dcf14bc90, flags=...) at /g/kdegit/qt/src/corelib/kernel/qeventloop.cpp:204
#6  0x00007f6e347dc50f in Digikam::WorkerObjectRunnable::run (this=0x7709b00) at /g/kdegit/extragear/graphics/digikam/libs/threads/threadmanager.cpp:196
#7  0x00007f6e2f808fb1 in QThreadPoolThread::run (this=0x7737160) at /g/kdegit/qt/src/corelib/concurrent/qthreadpool.cpp:107
#8  0x00007f6e2f8147ed in QThreadPrivate::start (arg=0x7737160) at /g/kdegit/qt/src/corelib/thread/qthread_unix.cpp:298
#9  0x00007f6e2f564daa in start_thread () from /lib64/libpthread.so.0
#10 0x00007f6e2e8020ed in clone () from /lib64/libc.so.6

Thread 27 (Thread 0x7f6dd1150700 (LWP 6519)):
#0  0x00007f6e2836bb36 in ?? () from /usr/lib64/libgomp.so.1
#1  0x00007f6e2836a69e in ?? () from /usr/lib64/libgomp.so.1
#2  0x00007f6e2f564daa in start_thread () from /lib64/libpthread.so.0
#3  0x00007f6e2e8020ed in clone () from /lib64/libc.so.6

Thread 26 (Thread 0x7f6dd3955700 (LWP 6520)):
#0  0x00007f6e2836bb36 in ?? () from /usr/lib64/libgomp.so.1
#1  0x00007f6e2836a69e in ?? () from /usr/lib64/libgomp.so.1
#2  0x00007f6e2f564daa in start_thread () from /lib64/libpthread.so.0
#3  0x00007f6e2e8020ed in clone () from /lib64/libc.so.6

Thread 25 (Thread 0x7f6dd3154700 (LWP 6521)):
#0  0x00007f6e2836bb36 in ?? () from /usr/lib64/libgomp.so.1
#1  0x00007f6e2836a69e in ?? () from /usr/lib64/libgomp.so.1
#2  0x00007f6e2f564daa in start_thread () from /lib64/libpthread.so.0
#3  0x00007f6e2e8020ed in clone () from /lib64/libc.so.6

Thread 24 (Thread 0x7f6dd2953700 (LWP 6522)):
#0  0x00007f6e2836bb36 in ?? () from /usr/lib64/libgomp.so.1
#1  0x00007f6e2836a69e in ?? () from /usr/lib64/libgomp.so.1
#2  0x00007f6e2f564daa in start_thread () from /lib64/libpthread.so.0
#3  0x00007f6e2e8020ed in clone () from /lib64/libc.so.6

Thread 23 (Thread 0x7f6dd2152700 (LWP 6523)):
#0  0x00007f6e2836bb36 in ?? () from /usr/lib64/libgomp.so.1
#1  0x00007f6e2836a69e in ?? () from /usr/lib64/libgomp.so.1
#2  0x00007f6e2f564daa in start_thread () from /lib64/libpthread.so.0
#3  0x00007f6e2e8020ed in clone () from /lib64/libc.so.6

Thread 22 (Thread 0x7f6dc5adc700 (LWP 7428)):
#0  0x00007f6e2836bb36 in ?? () from /usr/lib64/libgomp.so.1
#1  0x00007f6e2836a69e in ?? () from /usr/lib64/libgomp.so.1
#2  0x00007f6e2f564daa in start_thread () from /lib64/libpthread.so.0
#3  0x00007f6e2e8020ed in clone () from /lib64/libc.so.6

Thread 21 (Thread 0x7f6dc52db700 (LWP 7429)):
#0  0x00007f6e2836bb36 in ?? () from /usr/lib64/libgomp.so.1
#1  0x00007f6e2836a69e in ?? () from /usr/lib64/libgomp.so.1
#2  0x00007f6e2f564daa in start_thread () from /lib64/libpthread.so.0
#3  0x00007f6e2e8020ed in clone () from /lib64/libc.so.6

Thread 20 (Thread 0x7f6dc4ada700 (LWP 7430)):
#0  0x00007f6e2836bb36 in ?? () from /usr/lib64/libgomp.so.1
#1  0x00007f6e2836a69e in ?? () from /usr/lib64/libgomp.so.1
#2  0x00007f6e2f564daa in start_thread () from /lib64/libpthread.so.0
#3  0x00007f6e2e8020ed in clone () from /lib64/libc.so.6

Thread 19 (Thread 0x7f6dc42d9700 (LWP 7431)):
#0  0x00007f6e2836bb36 in ?? () from /usr/lib64/libgomp.so.1
#1  0x00007f6e2836a69e in ?? () from /usr/lib64/libgomp.so.1
#2  0x00007f6e2f564daa in start_thread () from /lib64/libpthread.so.0
#3  0x00007f6e2e8020ed in clone () from /lib64/libc.so.6

Thread 18 (Thread 0x7f6dc3ad8700 (LWP 7432)):
#0  0x00007f6e2836bb36 in ?? () from /usr/lib64/libgomp.so.1
#1  0x00007f6e2836a69e in ?? () from /usr/lib64/libgomp.so.1
#2  0x00007f6e2f564daa in start_thread () from /lib64/libpthread.so.0
#3  0x00007f6e2e8020ed in clone () from /lib64/libc.so.6

Thread 17 (Thread 0x7f6dd014e700 (LWP 7666)):
#0  0x00007f6e2f568a14 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f6e2f814d7b in wait (time=18446744073709551615, this=0x78af820) at /g/kdegit/qt/src/corelib/thread/qwaitcondition_unix.cpp:86
#2  wait (time=18446744073709551615, mutex=0x75ac848, this=<optimized out>) at /g/kdegit/qt/src/corelib/thread/qwaitcondition_unix.cpp:158
#3  QWaitCondition::wait (this=<optimized out>, mutex=0x75ac848, time=18446744073709551615) at /g/kdegit/qt/src/corelib/thread/qwaitcondition_unix.cpp:145
#4  0x00000000006ac304 in Digikam::ActionThread::run (this=0x78e5f60) at /g/kdegit/extragear/graphics/digikam/utilities/queuemanager/manager/actionthread.cpp:163
#5  0x00007f6e2f8147ed in QThreadPrivate::start (arg=0x78e5f60) at /g/kdegit/qt/src/corelib/thread/qthread_unix.cpp:298
#6  0x00007f6e2f564daa in start_thread () from /lib64/libpthread.so.0
#7  0x00007f6e2e8020ed in clone () from /lib64/libc.so.6

Thread 16 (Thread 0x7f6dca44a700 (LWP 8251)):
#0  0x00007f6e2e7fa1d3 in poll () from /lib64/libc.so.6
#1  0x00007f6e27bf7e66 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f6e27bf7f94 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f6e2f94dfae in QEventDispatcherGlib::processEvents (this=0xfc0e050, flags=<optimized out>) at /g/kdegit/qt/src/corelib/kernel/qeventdispatcher_glib.cpp:426
#4  0x00007f6e2f91abb2 in QEventLoop::processEvents (this=<optimized out>, flags=...) at /g/kdegit/qt/src/corelib/kernel/qeventloop.cpp:149
#5  0x00007f6e2f91ae1f in QEventLoop::exec (this=0x7f6dca449c90, flags=...) at /g/kdegit/qt/src/corelib/kernel/qeventloop.cpp:204
#6  0x00007f6e347dc50f in Digikam::WorkerObjectRunnable::run (this=0x74fb800) at /g/kdegit/extragear/graphics/digikam/libs/threads/threadmanager.cpp:196
#7  0x00007f6e2f808fb1 in QThreadPoolThread::run (this=0xacdab00) at /g/kdegit/qt/src/corelib/concurrent/qthreadpool.cpp:107
#8  0x00007f6e2f8147ed in QThreadPrivate::start (arg=0xacdab00) at /g/kdegit/qt/src/corelib/thread/qthread_unix.cpp:298
#9  0x00007f6e2f564daa in start_thread () from /lib64/libpthread.so.0
#10 0x00007f6e2e8020ed in clone () from /lib64/libc.so.6

Thread 15 (Thread 0x7f6dcb8a9700 (LWP 8253)):
#0  0x00007f6e27bf7ecb in ?? () from /usr/lib64/libglib-2.0.so.0
#1  0x00007f6e27bf7f94 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f6e2f94dfae in QEventDispatcherGlib::processEvents (this=0x1054b040, flags=<optimized out>) at /g/kdegit/qt/src/corelib/kernel/qeventdispatcher_glib.cpp:426
#3  0x00007f6e2f91abb2 in QEventLoop::processEvents (this=<optimized out>, flags=...) at /g/kdegit/qt/src/corelib/kernel/qeventloop.cpp:149
#4  0x00007f6e2f91ae1f in QEventLoop::exec (this=0x7f6dcb8a8c90, flags=...) at /g/kdegit/qt/src/corelib/kernel/qeventloop.cpp:204
#5  0x00007f6e347dc50f in Digikam::WorkerObjectRunnable::run (this=0x7dc39e0) at /g/kdegit/extragear/graphics/digikam/libs/threads/threadmanager.cpp:196
#6  0x00007f6e2f808fb1 in QThreadPoolThread::run (this=0x189a640) at /g/kdegit/qt/src/corelib/concurrent/qthreadpool.cpp:107
#7  0x00007f6e2f8147ed in QThreadPrivate::start (arg=0x189a640) at /g/kdegit/qt/src/corelib/thread/qthread_unix.cpp:298
#8  0x00007f6e2f564daa in start_thread () from /lib64/libpthread.so.0
#9  0x00007f6e2e8020ed in clone () from /lib64/libc.so.6

Thread 14 (Thread 0x7f6dc8c47700 (LWP 8254)):
#0  0x00007f6e2836bb36 in ?? () from /usr/lib64/libgomp.so.1
#1  0x00007f6e2836a69e in ?? () from /usr/lib64/libgomp.so.1
#2  0x00007f6e2f564daa in start_thread () from /lib64/libpthread.so.0
#3  0x00007f6e2e8020ed in clone () from /lib64/libc.so.6

Thread 13 (Thread 0x7f6dd094f700 (LWP 8255)):
#0  0x00007f6e2836bb36 in ?? () from /usr/lib64/libgomp.so.1
#1  0x00007f6e2836a69e in ?? () from /usr/lib64/libgomp.so.1
#2  0x00007f6e2f564daa in start_thread () from /lib64/libpthread.so.0
#3  0x00007f6e2e8020ed in clone () from /lib64/libc.so.6

Thread 12 (Thread 0x7f6dcf94d700 (LWP 8256)):
#0  0x00007f6e2836bb36 in ?? () from /usr/lib64/libgomp.so.1
#1  0x00007f6e2836a69e in ?? () from /usr/lib64/libgomp.so.1
#2  0x00007f6e2f564daa in start_thread () from /lib64/libpthread.so.0
#3  0x00007f6e2e8020ed in clone () from /lib64/libc.so.6

Thread 11 (Thread 0x7f6dce94b700 (LWP 8257)):
#0  0x00007f6e2836bb36 in ?? () from /usr/lib64/libgomp.so.1
#1  0x00007f6e2836a69e in ?? () from /usr/lib64/libgomp.so.1
#2  0x00007f6e2f564daa in start_thread () from /lib64/libpthread.so.0
#3  0x00007f6e2e8020ed in clone () from /lib64/libc.so.6

Thread 10 (Thread 0x7f6dce14a700 (LWP 8258)):
#0  0x00007f6e2836bb36 in ?? () from /usr/lib64/libgomp.so.1
#1  0x00007f6e2836a69e in ?? () from /usr/lib64/libgomp.so.1
#2  0x00007f6e2f564daa in start_thread () from /lib64/libpthread.so.0
#3  0x00007f6e2e8020ed in clone () from /lib64/libc.so.6

Thread 9 (Thread 0x7f6dcd148700 (LWP 8262)):
#0  0x00007f6e2e7fa1d3 in poll () from /lib64/libc.so.6
#1  0x00007f6e27bf7e66 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f6e27bf7f94 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f6e2f94dfae in QEventDispatcherGlib::processEvents (this=0x11940040, flags=<optimized out>) at /g/kdegit/qt/src/corelib/kernel/qeventdispatcher_glib.cpp:426
#4  0x00007f6e2f91abb2 in QEventLoop::processEvents (this=<optimized out>, flags=...) at /g/kdegit/qt/src/corelib/kernel/qeventloop.cpp:149
#5  0x00007f6e2f91ae1f in QEventLoop::exec (this=0x7f6dcd147c90, flags=...) at /g/kdegit/qt/src/corelib/kernel/qeventloop.cpp:204
#6  0x00007f6e347dc50f in Digikam::WorkerObjectRunnable::run (this=0x7dc8f20) at /g/kdegit/extragear/graphics/digikam/libs/threads/threadmanager.cpp:196
#7  0x00007f6e2f808fb1 in QThreadPoolThread::run (this=0xbf20e40) at /g/kdegit/qt/src/corelib/concurrent/qthreadpool.cpp:107
#8  0x00007f6e2f8147ed in QThreadPrivate::start (arg=0xbf20e40) at /g/kdegit/qt/src/corelib/thread/qthread_unix.cpp:298
#9  0x00007f6e2f564daa in start_thread () from /lib64/libpthread.so.0
#10 0x00007f6e2e8020ed in clone () from /lib64/libc.so.6

Thread 8 (Thread 0x7f6dcc947700 (LWP 8263)):
#0  0x00007f6e2e7fa1d3 in poll () from /lib64/libc.so.6
#1  0x00007f6e27bf7e66 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f6e27bf7f94 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f6e2f94dfae in QEventDispatcherGlib::processEvents (this=0x25ecb90, flags=<optimized out>) at /g/kdegit/qt/src/corelib/kernel/qeventdispatcher_glib.cpp:426
#4  0x00007f6e2f91abb2 in QEventLoop::processEvents (this=<optimized out>, flags=...) at /g/kdegit/qt/src/corelib/kernel/qeventloop.cpp:149
#5  0x00007f6e2f91ae1f in QEventLoop::exec (this=0x7f6dcc946c90, flags=...) at /g/kdegit/qt/src/corelib/kernel/qeventloop.cpp:204
#6  0x00007f6e347dc50f in Digikam::WorkerObjectRunnable::run (this=0x74d7f60) at /g/kdegit/extragear/graphics/digikam/libs/threads/threadmanager.cpp:196
#7  0x00007f6e2f808fb1 in QThreadPoolThread::run (this=0x772ac20) at /g/kdegit/qt/src/corelib/concurrent/qthreadpool.cpp:107
#8  0x00007f6e2f8147ed in QThreadPrivate::start (arg=0x772ac20) at /g/kdegit/qt/src/corelib/thread/qthread_unix.cpp:298
#9  0x00007f6e2f564daa in start_thread () from /lib64/libpthread.so.0
#10 0x00007f6e2e8020ed in clone () from /lib64/libc.so.6

Thread 7 (Thread 0x7f6dc9c49700 (LWP 8264)):
#0  0x00007f6e2f56b9cd in fsync () from /lib64/libpthread.so.0
#1  0x00007f6e1922ff5c in ?? () from /usr/lib64/libsqlite3.so.0
#2  0x00007f6e19230103 in ?? () from /usr/lib64/libsqlite3.so.0
#3  0x00007f6e1922772d in ?? () from /usr/lib64/libsqlite3.so.0
#4  0x00007f6e192381d7 in ?? () from /usr/lib64/libsqlite3.so.0
#5  0x00007f6e19239577 in ?? () from /usr/lib64/libsqlite3.so.0
#6  0x00007f6e19241e85 in ?? () from /usr/lib64/libsqlite3.so.0
#7  0x00007f6e192425f5 in ?? () from /usr/lib64/libsqlite3.so.0
#8  0x00007f6e19259c9b in ?? () from /usr/lib64/libsqlite3.so.0
#9  0x00007f6e19253d1e in ?? () from /usr/lib64/libsqlite3.so.0
#10 0x00007f6e19253eff in sqlite3_step () from /usr/lib64/libsqlite3.so.0
#11 0x00007f6e11df0805 in QSQLiteResultPrivate::fetchNext (this=0x7025520, values=..., idx=0, initialFetch=true) at /g/kdegit/qt/src/sql/drivers/sqlite/qsql_sqlite.cpp:209
#12 0x00007f6e11df187f in QSQLiteResult::exec (this=0x18ece40) at /g/kdegit/qt/src/sql/drivers/sqlite/qsql_sqlite.cpp:417
#13 0x00007f6e37a903a5 in QSqlQuery::exec (this=0x7f6dc9c47b78) at /g/kdegit/qt/src/sql/kernel/qsqlquery.cpp:949
#14 0x00007f6e3479b5db in Digikam::DatabaseCoreBackend::exec (this=0x12c9420, query=...) at /g/kdegit/extragear/graphics/digikam/libs/database/core/databasecorebackend.cpp:1404
#15 0x00007f6e3479c1cc in Digikam::DatabaseCoreBackend::execQuery (this=0x12c9420, query=..., boundValue1=<optimized out>, boundValue2=..., boundValue3=..., boundValue4=...) at /g/kdegit/extragear/graphics/digikam/libs/database/core/databasecorebackend.cpp:1076
#16 0x00007f6e3479c215 in Digikam::DatabaseCoreBackend::execQuery (this=0x12c9420, sql=<optimized out>, boundValue1=..., boundValue2=..., boundValue3=..., boundValue4=...) at /g/kdegit/extragear/graphics/digikam/libs/database/core/databasecorebackend.cpp:1021
#17 0x00007f6e3479c265 in Digikam::DatabaseCoreBackend::execSql (this=0x12c9420, sql=<optimized out>, boundValue1=<optimized out>, boundValue2=<optimized out>, boundValue3=<optimized out>, boundValue4=<optimized out>, values=0x0, lastInsertId=0x7f6dc9c47bb0) at /g/kdegit/extragear/graphics/digikam/libs/database/core/databasecorebackend.cpp:920
#18 0x00007f6e347a474f in Digikam::ThumbnailDB::insertThumbnail (this=0x12ce538, info=..., lastInsertId=0x7f6dc9c47d20) at /g/kdegit/extragear/graphics/digikam/libs/database/core/thumbnaildb.cpp:262
#19 0x00007f6e347c0570 in Digikam::ThumbnailCreator::storeInDatabase (this=<optimized out>, info=..., image=<optimized out>) at /g/kdegit/extragear/graphics/digikam/libs/threadimageio/thumbnailcreator.cpp:752
#20 0x00007f6e347c3356 in Digikam::ThumbnailCreator::store (this=0xde0c740, path=..., i=..., rect=..., isFace=true) at /g/kdegit/extragear/graphics/digikam/libs/threadimageio/thumbnailcreator.cpp:390
#21 0x000000000065e527 in Digikam::FaceIface::storeThumbnails (this=<optimized out>, thread=0xb6c5dd0, filePath=..., databaseFaces=<optimized out>, image=...) at /g/kdegit/extragear/graphics/digikam/utilities/facedetection/faceiface.cpp:240
#22 0x0000000000666ee8 in Digikam::DatabaseWriter::process (this=0xe4d48e0, package=...) at /g/kdegit/extragear/graphics/digikam/utilities/facedetection/facepipeline.cpp:574
#23 0x0000000000667512 in Digikam::DatabaseWriter::qt_static_metacall (_o=0xe4d48e0, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at /g/b45/extragear/graphics/digikam/digikam/facepipeline_p.moc:494
#24 0x00007f6e2f93773e in QObject::event (this=0xe4d48e0, e=<optimized out>) at /g/kdegit/qt/src/corelib/kernel/qobject.cpp:1195
#25 0x00007f6e30647cfe in notify_helper (e=0x98db650, receiver=0xe4d48e0, this=0x104f380) at /g/kdegit/qt/src/gui/kernel/qapplication.cpp:4554
#26 QApplicationPrivate::notify_helper (this=0x104f380, receiver=0xe4d48e0, e=0x98db650) at /g/kdegit/qt/src/gui/kernel/qapplication.cpp:4526
#27 0x00007f6e3064de4f in QApplication::notify (this=0x7fff5bb6a2f0, receiver=0xe4d48e0, e=0x98db650) at /g/kdegit/qt/src/gui/kernel/qapplication.cpp:4519
#28 0x00007f6e314a73ae in KApplication::notify (this=0x7fff5bb6a2f0, receiver=0xe4d48e0, event=0x98db650) at /g/kdegit/kdelibs/kdeui/kernel/kapplication.cpp:311
#29 0x00007f6e2f91c66b in QCoreApplication::notifyInternal (this=0x7fff5bb6a2f0, receiver=0xe4d48e0, event=0x98db650) at /g/kdegit/qt/src/corelib/kernel/qcoreapplication.cpp:876
#30 0x00007f6e2f91fe6c in QCoreApplication::sendEvent (event=0x98db650, receiver=0xe4d48e0) at ../../include/QtCore/../../../../kdegit/qt/src/corelib/kernel/qcoreapplication.h:231
#31 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x94b8ac0) at /g/kdegit/qt/src/corelib/kernel/qcoreapplication.cpp:1500
#32 0x00007f6e2f94db13 in QCoreApplication::sendPostedEvents () at ../../include/QtCore/../../../../kdegit/qt/src/corelib/kernel/qcoreapplication.h:236
#33 postEventSourceDispatch (s=0x18e5c50) at /g/kdegit/qt/src/corelib/kernel/qeventdispatcher_glib.cpp:279
#34 0x00007f6e27bf7b0a in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#35 0x00007f6e27bf7ed0 in ?? () from /usr/lib64/libglib-2.0.so.0
#36 0x00007f6e27bf7f94 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#37 0x00007f6e2f94df56 in QEventDispatcherGlib::processEvents (this=0x180e380, flags=<optimized out>) at /g/kdegit/qt/src/corelib/kernel/qeventdispatcher_glib.cpp:424
#38 0x00007f6e2f91abb2 in QEventLoop::processEvents (this=<optimized out>, flags=...) at /g/kdegit/qt/src/corelib/kernel/qeventloop.cpp:149
#39 0x00007f6e2f91ae1f in QEventLoop::exec (this=0x7f6dc9c48c90, flags=...) at /g/kdegit/qt/src/corelib/kernel/qeventloop.cpp:204
#40 0x00007f6e347dc50f in Digikam::WorkerObjectRunnable::run (this=0xf988f60) at /g/kdegit/extragear/graphics/digikam/libs/threads/threadmanager.cpp:196
#41 0x00007f6e2f808fb1 in QThreadPoolThread::run (this=0x7a56f60) at /g/kdegit/qt/src/corelib/concurrent/qthreadpool.cpp:107
#42 0x00007f6e2f8147ed in QThreadPrivate::start (arg=0x7a56f60) at /g/kdegit/qt/src/corelib/thread/qthread_unix.cpp:298
#43 0x00007f6e2f564daa in start_thread () from /lib64/libpthread.so.0
#44 0x00007f6e2e8020ed in clone () from /lib64/libc.so.6

Thread 6 (Thread 0x7f6dc8446700 (LWP 8267)):
#0  0x00007f6e2836bb36 in ?? () from /usr/lib64/libgomp.so.1
#1  0x00007f6e2836a69e in ?? () from /usr/lib64/libgomp.so.1
#2  0x00007f6e2f564daa in start_thread () from /lib64/libpthread.so.0
#3  0x00007f6e2e8020ed in clone () from /lib64/libc.so.6

Thread 5 (Thread 0x7f6dc7c45700 (LWP 8268)):
#0  0x00007f6e2836bb36 in ?? () from /usr/lib64/libgomp.so.1
#1  0x00007f6e2836a69e in ?? () from /usr/lib64/libgomp.so.1
#2  0x00007f6e2f564daa in start_thread () from /lib64/libpthread.so.0
#3  0x00007f6e2e8020ed in clone () from /lib64/libc.so.6

Thread 4 (Thread 0x7f6dc7444700 (LWP 8269)):
#0  0x00007f6e2836bb36 in ?? () from /usr/lib64/libgomp.so.1
#1  0x00007f6e2836a69e in ?? () from /usr/lib64/libgomp.so.1
#2  0x00007f6e2f564daa in start_thread () from /lib64/libpthread.so.0
#3  0x00007f6e2e8020ed in clone () from /lib64/libc.so.6

Thread 3 (Thread 0x7f6dc6c43700 (LWP 8270)):
#0  0x00007f6e2836bb36 in ?? () from /usr/lib64/libgomp.so.1
#1  0x00007f6e2836a69e in ?? () from /usr/lib64/libgomp.so.1
#2  0x00007f6e2f564daa in start_thread () from /lib64/libpthread.so.0
#3  0x00007f6e2e8020ed in clone () from /lib64/libc.so.6

Thread 2 (Thread 0x7f6dc32d7700 (LWP 8271)):
#0  0x00007f6e2836bb36 in ?? () from /usr/lib64/libgomp.so.1
#1  0x00007f6e2836a69e in ?? () from /usr/lib64/libgomp.so.1
#2  0x00007f6e2f564daa in start_thread () from /lib64/libpthread.so.0
#3  0x00007f6e2e8020ed in clone () from /lib64/libc.so.6

Thread 1 (Thread 0x7f6e17e168c0 (LWP 5570)):
[KCrash Handler]
#6  0x00000000004bfbf0 in QModelIndex::data (this=0x18d8af0, arole=37) at /usr/lib/qt4.5/include/QtCore/qabstractitemmodel.h:402
#7  0x00000000005f7514 in Digikam::AssignNameOverlay::checkIndex (this=<optimized out>, index=<optimized out>) at /g/kdegit/extragear/graphics/digikam/digikam/items/assignnameoverlay.cpp:241
#8  0x00007f6e3482e375 in Digikam::AbstractWidgetDelegateOverlay::checkIndexOnEnter (this=0x5fcdf40, index=...) at /g/kdegit/extragear/graphics/digikam/libs/widgets/itemview/imagedelegateoverlay.cpp:282
#9  0x00007f6e3482e417 in Digikam::PersistentWidgetDelegateOverlay::slotEntered (this=0x5fcdf40, index=...) at /g/kdegit/extragear/graphics/digikam/libs/widgets/itemview/imagedelegateoverlay.cpp:577
#10 0x00000000005f7c3e in Digikam::AssignNameOverlay::eventFilter (this=0x5fcdf40, o=0x5fc7880, e=0x7fff5bb68e50) at /g/kdegit/extragear/graphics/digikam/digikam/items/assignnameoverlay.cpp:351
#11 0x00007f6e2f91c85d in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=<optimized out>, receiver=0x5fc7880, event=0x7fff5bb68e50) at /g/kdegit/qt/src/corelib/kernel/qcoreapplication.cpp:986
#12 0x00007f6e30647ce9 in notify_helper (e=0x7fff5bb68e50, receiver=0x5fc7880, this=0x104f380) at /g/kdegit/qt/src/gui/kernel/qapplication.cpp:4550
#13 QApplicationPrivate::notify_helper (this=0x104f380, receiver=0x5fc7880, e=0x7fff5bb68e50) at /g/kdegit/qt/src/gui/kernel/qapplication.cpp:4526
#14 0x00007f6e3064de4f in QApplication::notify (this=0x7fff5bb6a2f0, receiver=0x5fc7880, e=0x7fff5bb68e50) at /g/kdegit/qt/src/gui/kernel/qapplication.cpp:4519
#15 0x00007f6e314a73ae in KApplication::notify (this=0x7fff5bb6a2f0, receiver=0x5fc7880, event=0x7fff5bb68e50) at /g/kdegit/kdelibs/kdeui/kernel/kapplication.cpp:311
#16 0x00007f6e2f91c66b in QCoreApplication::notifyInternal (this=0x7fff5bb6a2f0, receiver=0x5fc7880, event=0x7fff5bb68e50) at /g/kdegit/qt/src/corelib/kernel/qcoreapplication.cpp:876
#17 0x00007f6e3064600b in QCoreApplication::sendEvent (event=0x7fff5bb68e50, receiver=0x5fc7880) at ../../include/QtCore/../../../../kdegit/qt/src/corelib/kernel/qcoreapplication.h:231
#18 QApplicationPrivate::setFocusWidget (focus=0x195a510, reason=Qt::MouseFocusReason) at /g/kdegit/qt/src/gui/kernel/qapplication.cpp:2255
#19 0x00007f6e306923b9 in QWidget::setFocus (this=0x195a510, reason=Qt::MouseFocusReason) at /g/kdegit/qt/src/gui/kernel/qwidget.cpp:6450
#20 0x00007f6e3064f151 in QApplication::notify (this=0x7fff5bb6a2f0, receiver=0x93225e0, e=0x7fff5bb69690) at /g/kdegit/qt/src/gui/kernel/qapplication.cpp:4054
#21 0x00007f6e314a73ae in KApplication::notify (this=0x7fff5bb6a2f0, receiver=0x93225e0, event=0x7fff5bb69690) at /g/kdegit/kdelibs/kdeui/kernel/kapplication.cpp:311
#22 0x00007f6e2f91c66b in QCoreApplication::notifyInternal (this=0x7fff5bb6a2f0, receiver=0x93225e0, event=0x7fff5bb69690) at /g/kdegit/qt/src/corelib/kernel/qcoreapplication.cpp:876
#23 0x00007f6e306491c1 in QCoreApplication::sendEvent (event=<optimized out>, receiver=<optimized out>) at ../../include/QtCore/../../../../kdegit/qt/src/corelib/kernel/qcoreapplication.h:231
#24 QApplicationPrivate::sendMouseEvent (receiver=0x93225e0, event=0x7fff5bb69690, alienWidget=0x93225e0, nativeWidget=0x1779be0, buttonDown=0x7f6e3123c3a8, lastMouseReceiver=..., spontaneous=true) at /g/kdegit/qt/src/gui/kernel/qapplication.cpp:3165
#25 0x00007f6e306d00ff in QETWidget::translateMouseEvent (this=0x1779be0, event=<optimized out>) at /g/kdegit/qt/src/gui/kernel/qapplication_x11.cpp:4494
#26 0x00007f6e306cebaa in QApplication::x11ProcessEvent (this=0x7fff5bb6a2f0, event=0x7fff5bb69db0) at /g/kdegit/qt/src/gui/kernel/qapplication_x11.cpp:3620
#27 0x00007f6e306f7c62 in x11EventSourceDispatch (s=0x1048600, callback=0, user_data=0x0) at /g/kdegit/qt/src/gui/kernel/qguieventdispatcher_glib.cpp:146
#28 0x00007f6e27bf7b0a in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#29 0x00007f6e27bf7ed0 in ?? () from /usr/lib64/libglib-2.0.so.0
#30 0x00007f6e27bf7f94 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#31 0x00007f6e2f94df56 in QEventDispatcherGlib::processEvents (this=0x10491e0, flags=<optimized out>) at /g/kdegit/qt/src/corelib/kernel/qeventdispatcher_glib.cpp:424
#32 0x00007f6e306f7906 in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=<optimized out>) at /g/kdegit/qt/src/gui/kernel/qguieventdispatcher_glib.cpp:204
#33 0x00007f6e2f91abb2 in QEventLoop::processEvents (this=<optimized out>, flags=...) at /g/kdegit/qt/src/corelib/kernel/qeventloop.cpp:149
#34 0x00007f6e2f91ae1f in QEventLoop::exec (this=0x7fff5bb6a160, flags=...) at /g/kdegit/qt/src/corelib/kernel/qeventloop.cpp:204
#35 0x00007f6e2f920267 in QCoreApplication::exec () at /g/kdegit/qt/src/corelib/kernel/qcoreapplication.cpp:1148
#36 0x000000000049c652 in main (argc=3, argv=0x7fff5bb6a9d8) at /g/kdegit/extragear/graphics/digikam/digikam/main/main.cpp:232

Reported using DrKonqi
Comment 1 Jaime Torres 2012-04-05 21:04:42 UTC
related to bug 262596, not the other one.
Comment 2 caulier.gilles 2012-06-09 13:00:10 UTC
*** Bug 301506 has been marked as a duplicate of this bug. ***
Comment 3 caulier.gilles 2012-06-22 08:49:31 UTC
Official digiKam 2.6.0 release is out since few days now :

http://www.digikam.org/drupal/node/656

Please, check if this entry still valid, or update report accordingly.

Thanks in advance.

Gilles Caulier
Comment 4 Jonah Dahlquist 2012-06-22 15:20:29 UTC
Created attachment 72042 [details]
New crash information added by DrKonqi

digikam (2.5.0) on KDE Platform 4.8.3 (4.8.3) using Qt 4.8.1

- What I was doing when the application crashed:

I was creating a new person while tagging a face when the program crashed and disappeared.

-- Backtrace (Reduced):
#6  0x0000000000607f3f in data (arole=37, this=0x44cefa0) at /usr/include/qt4/QtCore/qabstractitemmodel.h:402
#7  Digikam::AssignNameOverlay::checkIndex (this=<optimized out>, index=...) at /build/buildd/digikam-2.5.0/core/digikam/items/assignnameoverlay.cpp:241
#8  0x00007fe0b65c01ff in checkIndexOnEnter (index=..., this=0x2980960) at /build/buildd/digikam-2.5.0/core/libs/widgets/itemview/imagedelegateoverlay.cpp:282
#9  Digikam::AbstractWidgetDelegateOverlay::checkIndexOnEnter (this=0x2980960, index=...) at /build/buildd/digikam-2.5.0/core/libs/widgets/itemview/imagedelegateoverlay.cpp:270
#10 0x00007fe0b65c0267 in Digikam::PersistentWidgetDelegateOverlay::slotEntered (this=0x2980960, index=...) at /build/buildd/digikam-2.5.0/core/libs/widgets/itemview/imagedelegateoverlay.cpp:577
Comment 5 caulier.gilles 2012-07-10 20:55:36 UTC
*** Bug 303328 has been marked as a duplicate of this bug. ***
Comment 6 caulier.gilles 2012-10-28 13:38:26 UTC
*** Bug 309142 has been marked as a duplicate of this bug. ***
Comment 7 caulier.gilles 2013-02-22 22:55:28 UTC
*** Bug 315497 has been marked as a duplicate of this bug. ***
Comment 8 Ricardo 2013-07-07 14:57:17 UTC
Created attachment 81003 [details]
Digikam crash report

I send you a new crash report for the same problem.
The application crashed two times, the first at 8% of face recognition, the second at 32% of face recognition. Now I'm at 50% of face recognition and is still running.
I have installed the application by the first time today, under Gnome and the task is the second task I'm performing after the initial scan of my photos folder.
Many thanks,
Ricardo
Comment 9 Jekyll Wu 2013-11-06 10:18:07 UTC
*** Bug 326689 has been marked as a duplicate of this bug. ***
Comment 10 caulier.gilles 2013-12-22 20:55:15 UTC
*** Bug 329135 has been marked as a duplicate of this bug. ***
Comment 11 Jekyll Wu 2014-05-01 00:07:23 UTC
*** Bug 334158 has been marked as a duplicate of this bug. ***
Comment 12 caulier.gilles 2014-05-16 07:29:07 UTC
digiKam 4.0.0 is out :

http://www.digikam.org/node/713

Please check if this entry still valid with this new version.

Thanks in advance

Gilles Caulier
Comment 13 Jaime Torres 2014-05-16 15:14:04 UTC
I'm sorry, I can not check.
As soon as I start a face recognition, digikam start reclaiming all the memory, and I have to wait until llinux kills the process.
compiled right now using master baba295a97a6e50fce85ae6edd0c54bb21773c71
Comment 14 Jaime Torres 2014-05-25 08:15:51 UTC
Looks like the memory eater is here:

==22582== 31,961,088 bytes in 1 blocks are possibly lost in loss record 21,854 of 21,854
==22582==    at 0x4C284B7: operator new[](unsigned long) (in /usr/lib64/valgrind/vgpreload_memcheck-amd64-linux.so)
==22582==    by 0x66EDFDC: unsigned char* Digikam::DImgLoader::new_failureTolerant<unsigned char>(unsigned long) (dimgloader.h
:183)
==22582==    by 0x66EE0A4: unsigned char* Digikam::DImgLoader::new_failureTolerant<unsigned char>(unsigned long long, unsigned long long, unsigned int) (dimgloader.h:159)
==22582==    by 0x66FCF43: Digikam::JPEGLoader::load(QString const&, Digikam::DImgLoaderObserver*) (jpegloader.cpp:394)
==22582==    by 0x663CF68: Digikam::DImg::load(QString const&, int, Digikam::DImgLoaderObserver*, Digikam::DRawDecoding const&) (dimg.cpp:431)
==22582==    by 0x6674E23: Digikam::PreviewLoadingTask::execute() (previewtask.cpp:326)
==22582==    by 0x66E7BB5: Digikam::LoadSaveThread::run() (loadsavethread.cpp:136)
==22582==    by 0x67A3CCD: Digikam::DynamicThread::DynamicThreadPriv::run() (dynamicthread.cpp:186)
==22582==    by 0xE2235ED: QThreadPoolThread::run() (qthreadpool.cpp:108)
==22582==    by 0xE22EB52: QThreadPrivate::start(void*) (qthread_unix.cpp:349)
==22582==    by 0xAD320DA: start_thread (pthread_create.c:309)
==22582==    by 0xF24990C: clone (clone.S:111)
Comment 16 caulier.gilles 2014-06-11 21:30:18 UTC
With next digiKam 4.1.0, i fixed libkface to handle all C++ exception (and not only OpenCV exception).

So, at least, digiKam must crash lesser now. If you want to review this entry again, use current implementation from git/master, or wait next 4.1.0 release...

Thanks to update your feedback

Gilles Caulier
Comment 17 caulier.gilles 2014-06-11 21:40:24 UTC
Git commit fa909aa96e7e41225551cd9e866618717f1ea546 by Gilles Caulier.
Committed on 11/06/2014 at 21:06.
Pushed by cgilles into branch 'master'.

use a better C++ exception wrapper to handle non OpenCV exceptions (as pure C++ one)
Related: bug 335624, bug 330342, bug 329873, bug 326742, bug 326586, bug 326585, bug 324774, bug 323888, bug 323361, bug 320812, bug 312440, bug 309027, bug 308645, bug 301611, bug 285517

M  +4    -0    libkface/facedetector.cpp
M  +17   -2    libkface/recognitiondatabase.cpp

http://commits.kde.org/libkface/fa909aa96e7e41225551cd9e866618717f1ea546
Comment 18 caulier.gilles 2014-06-18 14:40:25 UTC
Git commit 4662dd94102f8144bc65ce1cb66d6b6cb1d500fd by Gilles Caulier.
Committed on 18/06/2014 at 14:22.
Pushed by cgilles into branch 'master'.

Libkface now depand of last stable OpenCV library version 2.4.9
This prevent internal crash int Cv:Algorithm that we cannot handle in libkface as exception.
Now, Face Recognition do not crash but still report Exception at training operations, especially about wrong Cv:Matrix size :

digikam(8673)/digikam (core) Digikam::DImg::load:"/mnt/data2/photos/GILLES/NEW/Adrien/2010-04-13/20100413_009.jpg"  :
JPEG file identified
OpenCV Error: Assertion failed (0 <= _dims && _dims <= CV_MAX_DIM) in setSize, file /mnt/devel/opencv/modules/core/src/matrix.cpp, line 89
digikam(8673)/KFACE: cv::Exception training LBPH: /mnt/devel/opencv/modules/core/src/matrix.cpp:89: error: (-215) 0 <=_dims && _dims <= CV_MAX_DIM in function setSize

It still a problem somwhere, but it's better than previous state.
Related: bug 335624, bug 330342, bug 329873, bug 326742, bug 326586, bug 326585, bug 324774, bug 323888, bug 323361, bug 320812, bug 312440, bug 309027, bug 308645, bug 301611, bug 285517

M  +1    -1    CMakeLists.txt

http://commits.kde.org/libkface/4662dd94102f8144bc65ce1cb66d6b6cb1d500fd
Comment 19 caulier.gilles 2014-06-24 13:10:24 UTC
Git commit 1fff86f31e3bf47a2a2cfa6eaa98bb1bdf1a863b by Gilles Caulier.
Committed on 24/06/2014 at 12:32.
Pushed by cgilles into branch 'master'.

add more test before to commit/checkout compressed histogram data in Face database, to prevent crashes, especially if data are corrupted from database.
Related: bug 335624, bug 330342, bug 329873, bug 326742, bug 326586, bug 326585, bug 324774, bug 323888, bug 320812, bug 312440, bug 309027, bug 308645, bug 301611, bug 285517

M  +62   -28   libkface/database/trainingdb.cpp

http://commits.kde.org/libkface/1fff86f31e3bf47a2a2cfa6eaa98bb1bdf1a863b
Comment 20 caulier.gilles 2014-06-24 13:38:20 UTC
*** Bug 285517 has been marked as a duplicate of this bug. ***
Comment 21 caulier.gilles 2014-06-24 13:53:30 UTC
With next digiKam 4.1.0, a lots of improvements/fixes have be done around face management. Please give us a fresh feedback.

Note i recommend to delete face recognition database to prevent dysfunction due to possible wrong data store in this container. Look where file is located in my computer :

[gilles@localhost database]$ pwd
/home/gilles/.kde4/share/apps/libkface/database
[gilles@localhost database]$ ls -al
total 397028
drwx------ 2 gilles gilles      4096 juin  24 14:22 ./
drwx------ 3 gilles gilles      4096 juin  18 19:08 ../
-rw-r--r-- 1 gilles gilles 406543360 juin  24 14:22 recognition.db
[gilles@localhost database]$
Comment 22 Jaime Torres 2014-06-25 15:46:52 UTC
After removing the face recognition database.
I'm still trying to crash it. No big memory leaks and no crash so far. (it started with 1.7Gb of virtual memory and finished with 2.1Gb after looking at ~20.000 photos).
Great job.
Comment 23 caulier.gilles 2014-06-25 16:53:54 UTC
Thanks For the feedback

Gilles Caulier